# Uses of Interface
java.awt.im.spi.InputMethod

Packages that use InputMethod
Package
Description
java.awt.im.spi
Provides interfaces that enable the development of input methods that can be used with any Java runtime environment.

## Uses of InputMethod in java.awt.im.spi

Methods in java.awt.im.spi that return InputMethod
Modifier and Type
Method
Description
`InputMethod`
InputMethodDescriptor.`createInputMethod()`
Creates a new instance of the corresponding input method.
Methods in java.awt.im.spi with parameters of type InputMethod
Modifier and Type
Method
Description
`void`
InputMethodContext.`enableClientWindowNotification​(InputMethod inputMethod, boolean enable)`
Enables or disables notification of the current client window's location and state for the specified input method.